import 'package:flutter/material.dart';
import 'package:flutter_custom_toolbox/flutter_toolbox.dart';

import 'package:spotifyplaylistgenerator/common/ui/pages/playlist.dart';
import 'package:spotifyplaylistgenerator/common/ui/pages/home.dart';

class ActivityPageItem {
  final String code;
  final Icon icon;
  final Widget page;

  const ActivityPageItem({
    required this.code,
    required this.icon,
    required this.page,
  });
}

class ActivityPage {
  static const bool displayBottomNavBar = true;

  static const indexHome = 0;
  static const pageHome = ActivityPageItem(
    code: 'page_home',
    icon: Icon(UniconsLine.home),
    page: PageHome(),
  );

  static const indexPlaylist = 1;
  static const pagePlaylist = ActivityPageItem(
    code: 'page_playlist',
    icon: Icon(UniconsLine.list_ul),
    page: PagePlaylist(),
  );

  static const Map<int, ActivityPageItem> items = {
    indexHome: pageHome,
    indexPlaylist: pagePlaylist,
  };

  static int defaultPageIndex = indexHome;

  static bool isIndexAllowed(int pageIndex) {
    return items.keys.contains(pageIndex);
  }

  static Widget getWidget(int pageIndex) {
    return items[pageIndex]?.page ?? pageHome.page;
  }
}
